// @ts-check
import { defineConfig } from 'astro/config'
import solidJs from '@astrojs/solid-js'
import compressor from 'astro-compressor'
import robotsTxt from '@itsmatteomanf/astro-robots-txt'
import purgecss from 'astro-purgecss'

export default defineConfig({
  prefetch: true,
  integrations: [
    solidJs(),
    compressor({ gzip: false, brotli: true }),
    robotsTxt(),
    purgecss({
      fontFace: true,
      variables: true,
    }),
  ],
  vite: {
    css: {
      transformer: 'lightningcss',
    },
  },
  build: {
    assets: '_dasig',
    inlineStylesheets: 'never',
  },
  site: 'https://articles.patalcala.com',
})
